{% extends "admin/base.html" %}
{% block content %}
<div class="content container-fluid">
        <div class="row">
          {% if current_user.role.permissions.read_inventory == True %}
          <div class="col-md-6 col-sm-6 col-lg-3">
            <div class="dash-widget clearfix card-box">
              <span class="dash-widget-icon"><i class="fa fa-cubes" aria-hidden="true"></i></span>
              <div class="dash-widget-info">
                <h3 id="quotations">{{count_all['inventory']}}</h3>
                <span>All cars</span>
              </div>
            </div>
          </div>
          {% endif %}
          {% if current_user.role.permissions.read_inventory == True %}
          <div class="col-md-6 col-sm-6 col-lg-3">
            <div class="dash-widget clearfix card-box">
              <span class="dash-widget-icon"><i class="fa fa-usd" aria-hidden="true"></i></span>
              <div class="dash-widget-info">
                <h3 id="invoices">{{count_all['available']}}</h3>
                <span>Available cars</span>
              </div>
            </div>
          </div>
          {% endif %}
          {% if current_user.role.permissions.read_inventory == True %}
          <div class="col-md-6 col-sm-6 col-lg-3">
            <div class="dash-widget clearfix card-box">
              <span class="dash-widget-icon"><i class="fa fa-diamond"></i></span>
              <div class="dash-widget-info">
                <h3 id="bills">{{count_all['reserved']}}</h3>
                <span>Reserved cars</span>
              </div>
            </div>
          </div>
          {% endif %}
          {% if current_user.role.permissions.read_inventory == True %}
          <div class="col-md-6 col-sm-6 col-lg-3">
            <div class="dash-widget clearfix card-box">
              <span class="dash-widget-icon"><i class="fa fa-user" aria-hidden="true"></i></span>
              <div class="dash-widget-info">
                <h3 id="payments">{{count_all['sold']}}</h3>
                <span>Sold cars</span>
              </div>
            </div>
          </div>
          {% endif %}
        </div>

        <div class="row">
          {% if current_user.role.permissions.read_inventory == True %}
          <div class="col-md-6">
            <div class="panel panel-table">
              <div class="panel-heading">
                <h3 class="panel-title">All cars</h3>
              </div>
              <div class="panel-body">
                <div class="table-responsive">
                  <table id="inv-table" class="table table-striped custom-table m-b-0">
                    <thead>
                      <tr>
                      <th>make</th>
                      <th>model</th>
                      <th>plate</th>
                      <th>year</th>
                    </tr>
                    </thead>
                    <tbody>
                      {% for inventory in tables.inventorylist %}
                      <tr>
                        <td><a href="#">{{ inventory.vehicle.make }}</a></td>
                        <td>
                          <h2><a href="#">{{ inventory.vehicle.model }}</a></h2>
                        </td>
                        <td>{{ inventory.plate }}</td>
                        <td>{{ inventory.year}}</td>
                      </tr>
                      {% endfor %}
                    </tbody>
                  </table>
                </div>
              </div>
              <div class="panel-footer">
                <a href="{{ url_for('main.inventory') }}" class="text-primary">View all cars</a>
              </div>
            </div>
          </div>
          {% endif %}
          {% if current_user.role.permissions.read_inventory == True %}
          <div class="col-md-6">
            <div class="panel panel-table">
              <div class="panel-heading">
                <h3 class="panel-title">Available cars</h3>
              </div>
              <div class="panel-body">
                <div class="table-responsive">
                  <table id="pay-table" class="table table-striped custom-table m-b-0">
                    <thead>
                      <tr>
                      <th>make</th>
                      <th>model</th>
                      <th>plate</th>
                      <th>year</th>
                    </tr>
                    </thead>
                    <tbody>
                      {% for inventory in tables.availablelist %}
                      <tr>
                        <td><a href="#">{{ inventory.vehicle.make }}</a></td>
                        <td>
                          <h2><a href="#">{{ inventory.vehicle.model }}</a></h2>
                        </td>
                        <td>{{ inventory.plate }}</td>
                        <td>{{ inventory.year}}</td>
                      </tr>
                      {% endfor %}
                    </tbody>
                  </table>
                </div>
              </div>
              <div class="panel-footer">
                <a href="{{ url_for('main.inventory') }}" class="text-primary">View all available cars</a>
              </div>
            </div>
          </div>
          {% endif %}
        </div>
        <div class="row">
          {% if current_user.role.permissions.read_inventory == True %}
          <div class="col-md-6">
            <div class="panel panel-table">
              <div class="panel-heading">
                <h3 class="panel-title">Reserved cars</h3>
              </div>
              <div class="panel-body">
                <div class="table-responsive">
                  <table class="table table-striped custom-table m-b-0">
                    <thead>
                      <tr>
                      <th>make</th>
                      <th>model</th>
                      <th>plate</th>
                      <th>year</th>
                    </tr>
                    </thead>
                    <tbody>
                      {% for inventory in tables.reservedlist %}
                      <tr>
                        <td><a href="#">{{ inventory.vehicle.make }}</a></td>
                        <td>
                          <h2><a href="#">{{ inventory.vehicle.model }}</a></h2>
                        </td>
                        <td>{{ inventory.plate }}</td>
                        <td>{{ inventory.year}}</td>
                      </tr>
                      {% endfor %}
                    </tbody>
                  </table>
                </div>
              </div>
              <div class="panel-footer">
                <a href="{{ url_for('main.reserved_cars') }}" class="text-primary">View all reserved</a>
              </div>
            </div>
          </div>
          {% endif %}
          {% if current_user.role.permissions.read_inventory == True %}
          <div class="col-md-6">
            <div class="panel panel-table">
              <div class="panel-heading">
                <h3 class="panel-title">Sold</h3>
              </div>
              <div class="panel-body">
                <div class="table-responsive">
                  <table  class="table table-striped custom-table m-b-0">
                    <thead>
                      <tr>
                      <th>make</th>
                      <th>model</th>
                      <th>plate</th>
                      <th>year</th>
                    </tr>
                    </thead>
                    <tbody>
                      {% for inventory in tables.soldlist %}
                      <tr>
                        <td><a href="#">{{ inventory.vehicle.make }}</a></td>
                        <td>
                          <h2><a href="#">{{ inventory.vehicle.model }}</a></h2>
                        </td>
                        <td>{{ inventory.plate }}</td>
                        <td>{{ inventory.year}}</td>
                      </tr>
                      {% endfor %}
                    </tbody>
                  </table>
                </div>
              </div>
              <div class="panel-footer">
                <a href="{{ url_for('main.sold_cars') }}" class="text-primary">View all sold cars</a>
              </div>
            </div>
          </div>
          {% endif %}
        </div>
  </div>
{% endblock %}
